Name:               nde-terminal
Version:            0.0.1
Release:            12.1%{?dist}
License:            GPLv2
URL:                http://www.gd-linux.com
Source0:	    %{name}-%{version}.tar.gz
Summary:	    Advanced Qt5-based terminal emulator


BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  pkgconfig(nde) >= 0.0.1
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(ndetermwidget5) = %{version}
BuildRequires:  qt5-qttools-devel

# Require nde-termwidget to be the same version, as suggested by upstream
Requires:       nde-termwidget = %{version}

Provides:       %{name}-common = %{version}-%{release}
Provides:       %{name}-qt5 = %{version}-%{release}
Obsoletes:      %{name}-common < %{version}-%{release}
Obsoletes:      %{name}-qt5 < %{version}-%{release}

%description
Advanced Qt5-based terminal emulator with many useful bells and whistles.


%package l10n
Summary:        Translations for ndeterminal
Requires:       nde-terminal
%description l10n
This package provides translations for the ndeterminal package.

%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_nde} -DPULL_TRANSLATIONS=NO ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
%find_lang ndeterminal --with-qt


%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/ndeterminal.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/nde-terminal.desktop


%post
/bin/touch --no-create %{_kf5_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%license LICENSE
%doc AUTHORS CHANGELOG CONTRIBUTING.md README.md
%{_bindir}/ndeterminal
%{_datadir}/appdata/ndeterminal.appdata.xml
%{_datadir}/applications/nde-terminal.desktop
%{_datadir}/icons/*/*
%{_datadir}/ndeterminal


%files l10n -f ndeterminal.lang
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%dir %{_datadir}/ndeterminal/translations

%changelog
* Sat Dec 28 2024 heleilei <he.leilei@gd-linux.com> - 0.0.1-12.1
- fix changelog error

* Thu Jul 15 2021 Li shengsong  <li.shengsong@gd-linux.cn> - 0.0.1-12
- 修复关闭弹窗没有完全汉化问题

* Fri Jul 9 2021 Du Qiang  <du.qiang@gd-linux.cn> - 0.0.1-11
- 终端标签栏宽度优化

* Mon Jun 21 2021  Luo junchao <luo.junchao@gd-linux.cn> - 0.0.1-10
- 修改配置为空时默认位置居中

* Fri Jun 11 2021  Luo junchao <luo.junchao@gd-linux.cn> - 0.0.1-9
- 修改终端未配置记忆位置时默认居中显示

* Thu Apr 01 2021  Wu Jiaheng <wu.jiahengzte.com.cn> - 0.0.1-8
- 添加全选，添加汉化，修改参数配置大小

* Wed Jan 27 2021  Wu Jiaheng <wu.jiahengzte.com.cn> - 0.0.1-7
- 修改标签页配置

* Fri Dec 11 2020  Wu Jiaheng <wu.jiahengzte.com.cn> - 0.0.1-6
- 修改默认配置

* Tue Aug 4 2020  lei.bao <lei.bao@zte.com.cn> - 0.0.1-5
- 修复放大缩小中文翻译搞反问题

* Wed Jul 15 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.0.1-4
- 删除无用的desktop文件

* Tue Jun 2 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.0.1-3
- 修改中文名称

* Mon Jun 01 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 0.0.1-2
- 更改应用名称

* Fri May 15 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-1
- Rename(984)

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

